java - 更改JDK版本的问题

标签 java maven intellij-idea

在intellij想法中更改了jdk版本后,我遇到了一个问题。

在我的pom文件中,我具有下一个属性:

<source-jdk>1.8</source-jdk>
<target-jdk>1.8</target-jdk> 


当maven开始构建项目时-在控制台上显示正确版本的jdk-1.8:C:\Program Files\Java\jdk1.8.0_131\bin\java

但是,当我尝试启动项目时,控制台会显示以前版本的jdk:C:\Program Files\Java\jdk1.7.0_79\bin\java

有人可以帮我解决这个问题吗?

我认为这对我来说是个问题,我无法启动该项目。

问题已解决,请在下面查看我自己的答案

最佳答案

问题隐藏在“编辑配置”中。您可以在那里选择jre版本。

关于java - 更改JDK版本的问题,我们在Stack Overflow上找到一个类似的问题: https://stackoverflow.com/questions/45999992/

相关文章:

gradle - 无法使用Gradle运行应用程序:错误:找不到或加载主类1.8

java - 更新到新的intellij IDEA之后的Builder插件异常

java - LWJGL基础:深度绘制四边形

java - maven 无法找到 slf4j 滚动文件附加程序

java - Java 中 "enum inheritance"的解决方法实现?

maven - 如何从非build-gradle文件访问Kotlin DSL扩展?

java - 来自Java ObjectName.toString的JSON对象

java - 在 IntelliJ IDEA : "No MessageCollector" 中编译时出错

java - Hibernate 4.0.0Final SessionFactory.openSession(拦截器拦截器)在哪里

java - EditText getText toString返回“”